### Function

# ICalGLib Timezone set_tzid_prefix

since: 1.0

#### Declaration [src]

    void
    i_cal_timezone_set_tzid_prefix (
      const gchar* new_prefix
    )

#### Description [src]

Sets the prefix to be used for tzid’s generated from system tzdata. Must be globally unique (such as a domain name owned by the developer of the calling application), and begin and end with forward slashes. Do not change or de-allocate the string buffer after calling this.

Available since: 1.0

#### Parameters

`new_prefix`

  Type: `const gchar*`

  The `ICalTimezone` to be set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.